package cn.fateverse.query.mapper;

import cn.fateverse.query.entity.TableRole;

import java.util.List;

/**
 * @author Clay
 * @date 2023-07-17
 */
public interface TableRoleMapper {
    /**
     * 根据表格查询表格与角色的关系
     *
     * @param tableId 表格id
     * @return 关系
     */
    List<TableRole> selectByTableId(Long tableId);

    /**
     * 批量新增角色关系
     *
     * @param list 角色关系
     * @return 新增条数
     */
    Integer batchInsert(List<TableRole> list);

    /**
     * 根据表格id删除关系
     *
     * @param tableId 表格id
     * @return 删除结果
     */
    Integer deleteByTableId(Long tableId);

}
